org.apache.solr.util

## Class SolrCLI.CreateCollectionTool

- java.lang.Object
- - org.apache.solr.util.SolrCLI.ToolBase
  - - org.apache.solr.util.SolrCLI.CreateCollectionTool

- All Implemented Interfaces:
    SolrCLI.Tool
  Enclosing class:
    SolrCLI

      public static class SolrCLI.CreateCollectionTool
      extends SolrCLI.ToolBase

  Supports create_collection command in the bin/solr script.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `stdout, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateCollectionTool()`
    `CreateCollectionTool(PrintStream stdout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `org.apache.commons.cli.Option[]` | `getOptions()`
    `protected int` | `optionAsInt(org.apache.commons.cli.CommandLine cli, String option, int defaultVal)`
    `protected void` | `runCloudTool(CloudSolrClient cloudSolrClient, org.apache.commons.cli.CommandLine cli)`
    `protected void` | `runImpl(org.apache.commons.cli.CommandLine cli)`

    - ### Methods inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `echo, runTool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateCollectionTool

          public CreateCollectionTool()

    - #### CreateCollectionTool

          public CreateCollectionTool(PrintStream stdout)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getOptions

          public org.apache.commons.cli.Option[] getOptions()

    - #### runImpl

          protected void runImpl(org.apache.commons.cli.CommandLine cli)
                          throws Exception

      Specified by:
        `runImpl` in class `SolrCLI.ToolBase`
      Throws:
        `Exception`

    - #### runCloudTool

          protected void runCloudTool(CloudSolrClient cloudSolrClient,
                                      org.apache.commons.cli.CommandLine cli)
                               throws Exception

      Throws:
        `Exception`

    - #### optionAsInt

          protected int optionAsInt(org.apache.commons.cli.CommandLine cli,
                                    String option,
                                    int defaultVal)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.